Yes, you can. Ideally, the system compatibility is below.


For iOS Compatibility

iPhone - Requires iOS 14.2 or later.

iPad - Requires iPadOS 14.2 or later.

iPod Touch - Requires iOS 14.2 or later.

Apple TV - Requires tvOS14.2 or later.


Need More Support?


If you need further assistance, please use the Live Chat at the bottom and chat with our amazing Customer Support Team or email support@reveel.net.